curl --request GET \
--url https://api.sellauth.com/v1/shops/{shopId}/invoices \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"page": 1,
"perPage": null,
"orderColumn": null,
"orderDirection": null,
"id": null,
"statuses": null,
"email": null,
"gateways": null,
"payment_method_ids": null,
"created_at_start": null,
"created_at_end": null,
"completed_at_start": null,
"completed_at_end": null,
"product_name": null,
"variant_name": null,
"coupon_code": null,
"ip": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"utm_term": null,
"utm_content": null,
"referrer_host": null,
"discord_id": null,
"discord_username": null,
"deliverable": null,
"custom_field": null,
"archived": null,
"manual": null,
"external_id_type": null,
"external_id_value": null,
"cashapp_note": null,
"paypalff_note": null,
"venmo_note": null,
"zelle_note": null,
"skrillp2p_note": null,
"customer_id": null,
"all": null
}
'import requests
url = "https://api.sellauth.com/v1/shops/{shopId}/invoices"
payload = {
"page": 1,
"perPage": None,
"orderColumn": None,
"orderDirection": None,
"id": None,
"statuses": None,
"email": None,
"gateways": None,
"payment_method_ids": None,
"created_at_start": None,
"created_at_end": None,
"completed_at_start": None,
"completed_at_end": None,
"product_name": None,
"variant_name": None,
"coupon_code": None,
"ip": None,
"utm_source": None,
"utm_medium": None,
"utm_campaign": None,
"utm_term": None,
"utm_content": None,
"referrer_host": None,
"discord_id": None,
"discord_username": None,
"deliverable": None,
"custom_field": None,
"archived": None,
"manual": None,
"external_id_type": None,
"external_id_value": None,
"cashapp_note": None,
"paypalff_note": None,
"venmo_note": None,
"zelle_note": None,
"skrillp2p_note": None,
"customer_id": None,
"all": None
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
page: 1,
perPage: null,
orderColumn: null,
orderDirection: null,
id: null,
statuses: null,
email: null,
gateways: null,
payment_method_ids: null,
created_at_start: null,
created_at_end: null,
completed_at_start: null,
completed_at_end: null,
product_name: null,
variant_name: null,
coupon_code: null,
ip: null,
utm_source: null,
utm_medium: null,
utm_campaign: null,
utm_term: null,
utm_content: null,
referrer_host: null,
discord_id: null,
discord_username: null,
deliverable: null,
custom_field: null,
archived: null,
manual: null,
external_id_type: null,
external_id_value: null,
cashapp_note: null,
paypalff_note: null,
venmo_note: null,
zelle_note: null,
skrillp2p_note: null,
customer_id: null,
all: null
})
};
fetch('https://api.sellauth.com/v1/shops/{shopId}/invoices', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"current_page": 1,
"data": [
{
"id": 4,
"status": "completed",
"price": "14.99",
"currency": "USD",
"paid": "0.00",
"paid_usd": "0.00",
"gateway": null,
"payment_method_id": null,
"email": "customer@sellauth.test",
"salt": "7dc5383ca4919",
"manual": false,
"created_at": "2026-09-20T15:56:24.000000Z",
"completed_at": "2026-09-20T15:56:24.000000Z",
"archived_at": null,
"shop_customer_id": 1,
"tax_rate": "0.00",
"ip": "127.0.0.1",
"country_code": null,
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64)",
"asn": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"utm_term": null,
"utm_content": null,
"referrer_host": null,
"unique_id": "7dc5383ca4919-0000000000004",
"product": null,
"variant": null,
"items": [
{
"id": 3,
"invoice_id": 4,
"product_id": 1,
"variant_id": 1,
"custom_name": null,
"product": {
"id": 1,
"name": "License Keys",
"stock_count": 0,
"images": [
{
"id": 1,
"cloudflare_image_id": null,
"url": "http://static.mysellauth.test/storage/images/1.webp",
"pivot": {
"product_id": 1,
"image_id": 1,
"order": 0
}
}
]
},
"variant": {
"id": 1,
"name": "Standard"
}
}
],
"payment_method": null
},
{
"id": 2,
"status": "completed",
"price": "14.99",
"currency": "USD",
"paid": "0.00",
"paid_usd": "0.00",
"gateway": null,
"payment_method_id": null,
"email": "reseller@sellauth.test",
"salt": "f013b12c6609a",
"manual": false,
"created_at": "2026-09-20T15:56:24.000000Z",
"completed_at": "2026-09-20T15:56:24.000000Z",
"archived_at": null,
"shop_customer_id": 3,
"tax_rate": "0.00",
"ip": "127.0.0.1",
"country_code": null,
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64)",
"asn": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"utm_term": null,
"utm_content": null,
"referrer_host": null,
"unique_id": "f013b12c6609a-0000000000002",
"product": null,
"variant": null,
"items": [
{
"id": 2,
"invoice_id": 2,
"product_id": 1,
"variant_id": 1,
"custom_name": null,
"product": {
"id": 1,
"name": "License Keys",
"stock_count": 0,
"images": [
{
"id": 1,
"cloudflare_image_id": null,
"url": "http://static.mysellauth.test/storage/images/1.webp",
"pivot": {
"product_id": 1,
"image_id": 1,
"order": 0
}
}
]
},
"variant": {
"id": 1,
"name": "Standard"
}
}
],
"payment_method": null
},
{
"id": 1,
"status": "completed",
"price": "14.99",
"currency": "USD",
"paid": "14.99",
"paid_usd": "14.99",
"gateway": "STRIPE",
"payment_method_id": 1,
"email": "customer@sellauth.test",
"salt": "0c1cbccc9036b",
"manual": false,
"created_at": "2026-09-20T15:56:24.000000Z",
"completed_at": "2026-09-20T15:56:24.000000Z",
"archived_at": null,
"shop_customer_id": 1,
"tax_rate": "0.00",
"ip": "127.0.0.1",
"country_code": null,
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64)",
"asn": null,
"utm_source": "newsletter",
"utm_medium": "email",
"utm_campaign": "spring_sale",
"utm_term": null,
"utm_content": null,
"referrer_host": "example.com",
"unique_id": "0c1cbccc9036b-0000000000001",
"product": null,
"variant": null,
"items": [
{
"id": 1,
"invoice_id": 1,
"product_id": 1,
"variant_id": 1,
"custom_name": null,
"product": {
"id": 1,
"name": "License Keys",
"stock_count": 0,
"images": [
{
"id": 1,
"cloudflare_image_id": null,
"url": "http://static.mysellauth.test/storage/images/1.webp",
"pivot": {
"product_id": 1,
"image_id": 1,
"order": 0
}
}
]
},
"variant": {
"id": 1,
"name": "Standard"
}
}
],
"payment_method": {
"id": 1,
"name": "Stripe",
"icon_image_id": null,
"icon_image_url": null,
"icon_image": null
}
}
],
"first_page_url": "http://api.sellauth.test/v1/shops/1/invoices?page=1",
"from": 1,
"last_page": 1,
"last_page_url": "http://api.sellauth.test/v1/shops/1/invoices?page=1",
"links": [
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/invoices?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
],
"next_page_url": null,
"path": "http://api.sellauth.test/v1/shops/1/invoices",
"per_page": 20,
"prev_page_url": null,
"to": 3,
"total": 3
}Get Invoices
Retrieves the invoices.
Authorizations
You can retrieve your API key from your dashboard under Account > Developers.
Path Parameters
The shop ID.
Body
Page number. Must be at least 1.
1
Items per page, 1-100. Must be at least 1. Must not be greater than 100.
null
id, price_usd, paid_usd, created_at, completed_at null
asc, desc null
Filter by invoice ID or unique ID.
null
null
Filter by customer email.
null
Deprecated. Use payment_method_ids.
null
Filter by payment method IDs.
null
Must be a valid date.
null
Must be a valid date. Must be a date after created_at_start.
null
Must be a valid date.
null
Must be a valid date. Must be a date after completed_at_start.
null
null
null
null
null
Filter by exact utm_source.
null
Filter by exact utm_medium.
null
Filter by exact utm_campaign.
null
Filter by exact utm_term.
null
Filter by exact utm_content.
null
Filter by exact referrer host.
null
null
null
Filter by delivered content.
null
Filter by custom field value.
null
Only archived invoices.
null
Only manual invoices.
null
null
null
null
null
null
null
null
Filter by customer ID.
null
Include full invoice details in the list.
null
Response
1
Show child attributes
Show child attributes
[
{
"id": 4,
"status": "completed",
"price": "14.99",
"currency": "USD",
"paid": "0.00",
"paid_usd": "0.00",
"gateway": null,
"payment_method_id": null,
"email": "customer@sellauth.test",
"salt": "7dc5383ca4919",
"manual": false,
"created_at": "2026-09-20T15:56:24.000000Z",
"completed_at": "2026-09-20T15:56:24.000000Z",
"archived_at": null,
"shop_customer_id": 1,
"tax_rate": "0.00",
"ip": "127.0.0.1",
"country_code": null,
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64)",
"asn": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"utm_term": null,
"utm_content": null,
"referrer_host": null,
"unique_id": "7dc5383ca4919-0000000000004",
"product": null,
"variant": null,
"items": [
{
"id": 3,
"invoice_id": 4,
"product_id": 1,
"variant_id": 1,
"custom_name": null,
"product": {
"id": 1,
"name": "License Keys",
"stock_count": 0,
"images": [
{
"id": 1,
"cloudflare_image_id": null,
"url": "http://static.mysellauth.test/storage/images/1.webp",
"pivot": {
"product_id": 1,
"image_id": 1,
"order": 0
}
}
]
},
"variant": { "id": 1, "name": "Standard" }
}
],
"payment_method": null
},
{
"id": 2,
"status": "completed",
"price": "14.99",
"currency": "USD",
"paid": "0.00",
"paid_usd": "0.00",
"gateway": null,
"payment_method_id": null,
"email": "reseller@sellauth.test",
"salt": "f013b12c6609a",
"manual": false,
"created_at": "2026-09-20T15:56:24.000000Z",
"completed_at": "2026-09-20T15:56:24.000000Z",
"archived_at": null,
"shop_customer_id": 3,
"tax_rate": "0.00",
"ip": "127.0.0.1",
"country_code": null,
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64)",
"asn": null,
"utm_source": null,
"utm_medium": null,
"utm_campaign": null,
"utm_term": null,
"utm_content": null,
"referrer_host": null,
"unique_id": "f013b12c6609a-0000000000002",
"product": null,
"variant": null,
"items": [
{
"id": 2,
"invoice_id": 2,
"product_id": 1,
"variant_id": 1,
"custom_name": null,
"product": {
"id": 1,
"name": "License Keys",
"stock_count": 0,
"images": [
{
"id": 1,
"cloudflare_image_id": null,
"url": "http://static.mysellauth.test/storage/images/1.webp",
"pivot": {
"product_id": 1,
"image_id": 1,
"order": 0
}
}
]
},
"variant": { "id": 1, "name": "Standard" }
}
],
"payment_method": null
},
{
"id": 1,
"status": "completed",
"price": "14.99",
"currency": "USD",
"paid": "14.99",
"paid_usd": "14.99",
"gateway": "STRIPE",
"payment_method_id": 1,
"email": "customer@sellauth.test",
"salt": "0c1cbccc9036b",
"manual": false,
"created_at": "2026-09-20T15:56:24.000000Z",
"completed_at": "2026-09-20T15:56:24.000000Z",
"archived_at": null,
"shop_customer_id": 1,
"tax_rate": "0.00",
"ip": "127.0.0.1",
"country_code": null,
"user_agent": "Mozilla/5.0 (Windows NT 10.0; Win64; x64)",
"asn": null,
"utm_source": "newsletter",
"utm_medium": "email",
"utm_campaign": "spring_sale",
"utm_term": null,
"utm_content": null,
"referrer_host": "example.com",
"unique_id": "0c1cbccc9036b-0000000000001",
"product": null,
"variant": null,
"items": [
{
"id": 1,
"invoice_id": 1,
"product_id": 1,
"variant_id": 1,
"custom_name": null,
"product": {
"id": 1,
"name": "License Keys",
"stock_count": 0,
"images": [
{
"id": 1,
"cloudflare_image_id": null,
"url": "http://static.mysellauth.test/storage/images/1.webp",
"pivot": {
"product_id": 1,
"image_id": 1,
"order": 0
}
}
]
},
"variant": { "id": 1, "name": "Standard" }
}
],
"payment_method": {
"id": 1,
"name": "Stripe",
"icon_image_id": null,
"icon_image_url": null,
"icon_image": null
}
}
]
"http://api.sellauth.test/v1/shops/1/invoices?page=1"
1
1
"http://api.sellauth.test/v1/shops/1/invoices?page=1"
Show child attributes
Show child attributes
[
{
"url": null,
"label": "« Previous",
"active": false
},
{
"url": "http://api.sellauth.test/v1/shops/1/invoices?page=1",
"label": "1",
"active": true
},
{
"url": null,
"label": "Next »",
"active": false
}
]
null
"http://api.sellauth.test/v1/shops/1/invoices"
20
null
3
3